> For the complete documentation index, see [llms.txt](https://docs.elentra.org/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elentra.org/api/elentra-api-standards/routing-and-parameters/common-mistakes/get-admissions-file-review-file-rubric-score-cycle_id-pool_id-subpool_id.md).

# \[GET] /admissions/file-review/file/rubric-score/{cycle\_id}/{pool\_id}/{subpool\_id}

{% tabs %}
{% tab title="Critique" %}

* Ambiguous route parameters.
* The relationship between entities is not well defined.
  * Lacking structural sub-collections.
* "file-review" is being used as a sub-namespace, not a resource or a collection.
* Target resource "rubric-score" proceeds the sub-resources.
* Difficult to read the URI.
  {% endtab %}

{% tab title="Suggestion" %}

* Remove "file-review".
  * It's not a collection or resource.
  * `/admissions/file-reviews` or `/admissions/reviews`
* `rubric-score` should be moved to the end of the route.
* `cycle/pool/subpool` needs to be denominated by their respective sub-collections.
  * `/cycles/{cycle}/pools/{pool}/subpools/{subpool}`&#x20;

{% hint style="info" %}
**Final Suggestion**

`[GET] /admissions/review/cycles/{cycle}/pools/{pool}/subpools/{subpool}/file/rubric-score/`

If there are too many parameters in the route, consider flattening it using query parameters.

`[GET] /admissions/files/{file}/review/rubric/{rubric}/scores?cycle=&pool=&subpool=`
{% endhint %}
{% endtab %}
{% endtabs %}
